LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
DefaultViewController.idl File Reference
`import "com/sun/star/frame/Controller.idl";`
`import "com/sun/star/ui/XContextMenuInterception.idl";`
`import "com/sun/star/awt/XUserInputInterception.idl";`
`import "com/sun/star/view/XSelectionSupplier.idl";`
`import "com/sun/star/frame/XTitle.idl";`
`import "com/sun/star/frame/XTitleChangeBroadcaster.idl";`
`import "com/sun/star/sdb/application/XDatabaseDocumentUI.idl";`

Go to the source code of this file.

## Classes
service | DefaultViewController
| is the default controller implementation for OpenOffice.org's database application. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.
module | com::sun::star::sdb::application
| application UI.